"{ Package: 'stx:libview2' }"

String variableByteSubclass:#MIMEType
	instanceVariableNames:''
	classVariableNames:'CachedTypes'
	poolDictionaries:''
	category:'System-Documentation'
!


!MIMEType class methodsFor:'initialization'!

initialize
    CachedTypes := CacheDictionary new:30.

    "
     self initialize
    "
! !

!MIMEType class methodsFor:'instance creation'!

fromString:aString
    |cachedType newType|

    cachedType := CachedTypes at:aString ifAbsent:nil.
    cachedType notNil ifTrue:[^ cachedType].
    newType := aString copy changeClassTo:self.
    CachedTypes at:aString put:newType.
    ^ newType

    "
     self fromString:'text/html'
    "
! !

!MIMEType methodsFor:'queries'!

isArchiv

    |archivTypes|

    archivTypes := MIMETypes applicationComprAndArchiveTypeList.
    archivTypes pairWiseDo:[: ext : type |
        self = type ifTrue:[ ^ true].
    ].
    ^ false
!

isHtml

    ^ (self = 'text/html')
!

isImage

    ^ (self startsWith:'image')
!

isPdf
    ^ (self = 'application/pdf')
!

isSmalltalkSource

    ^ (self = 'application/x-smalltalk-source')
! !

!MIMEType class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libview2/Attic/MIMEType.st,v 1.4 2002-09-11 15:04:08 penk Exp $'
! !
MIMEType initialize!
